<?php

namespace App\Classes\External\Supplier;

use App\Classes\External\Supplier;

/**
 * Class ExetelVisp
 * Handles interacting with Exetel VISP
 *
 * @package App\Classes\External\Payments
 */
class ExetelVisp extends Supplier
{
	protected $login_user_field = 'username';
	protected $login_pass_field = 'password';
	protected $date_field = 'date';

	protected static $header = [
		'Login',
		'Date',
		'Peak upload',
		'Peak download',
		'Off peak upload',
		'Off peak download',
	];

	// Exetel provides data in CSV format, eg:
	// Login, Date, Peak upload, Peak download, Off peak upload, Off peak download\n
	// 0301408987@graytech.net.au,2020-05-02,41.35,41.04,49.22,27.69\n
}