<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;

use App\Classes\External\Payments\Ezypay;
use App\Jobs\PaymentsImport as Job;

class PaymentsEzypayImport extends Command
{
	/**
	 * The name and signature of the console command.
	 *
	 * @var string
	 */
	protected $signature = 'payments:ezypay:import';

	/**
	 * The console command description.
	 *
	 * @var string
	 */
	protected $description = 'Retrieve payments from Ezypay';

	/**
	 * Execute the console command.
	 *
	 * @return mixed
	 */
	public function handle()
	{
		Job::dispatchSync(new Ezypay);
	}
}