<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

/**
 * Editing Suppliers
 */
class ProductAddEdit extends FormRequest
{
	/**
	 * Determine if the user is authorized to make this request.
	 *
	 * @return bool
	 */
	public function authorize()
	{
		return Auth::user()->isWholesaler();
	}

	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array<string, mixed>
	 */
	public function rules()
	{
		return [
			'description.name' => 'required|string|min:2|max:100',
			'active' => 'sometimes|accepted',
			'model' => 'sometimes|string',			// @todo Check that it is a valid model type
			'model_id' => 'sometimes|int',			// @todo Check that it is a valid model type
			'accounting' => 'sometimes|string',
		];
	}
}