<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

/**
 * Editing Suppliers
 */
class SupplierAddEdit extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
		return Auth::user()->isWholesaler();
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
			'name' => 'required|string|min:2|max:255',
			'active' => 'sometimes|accepted',
			'address1' => 'nullable|string|min:2|max:255',
			'address2' => 'nullable|string|min:2|max:255',
			'city' => 'nullable|string|min:2|max:64',
			'state' => 'nullable|string|min:2|max:32',
			'postcode' => 'nullable|string|min:2|max:8',
			'supplier_details.notes' => 'nullable|string|min:3',
			'supplier_details.accounts' => 'nullable|email',
			'supplier_details.support' => 'nullable|email',
			'supplier_details.payments' => 'nullable|string|min:3',
			'api_key' => 'nullable|string|min:3',
			'api_secret' => 'nullable|string|min:3',
        ];
    }
}