<?php

namespace App\Models\Product;

use Illuminate\Support\Collection;

use App\Interfaces\ProductItem;
use App\Models\Service\Generic as ServiceGeneric;
use App\Models\Supplier\Generic as SupplierGeneric;

final class Generic extends Type implements ProductItem
{
	protected $table = 'product_generic';

	// The model that is referenced when this product is ordered
	protected string $order_model = ServiceGeneric::class;

	/* RELATIONS */

	/**
	 * The offering supplied with this product
	 *
	 * @return \Illuminate\Database\Eloquent\Relations\HasOne
	 */
	public function supplied()
	{
		return $this->hasOne(SupplierGeneric::class,'id','supplier_item_id');
	}

	/* INTERFACES */

	public function getContractTermAttribute(): int
	{
		return 0;
	}

	public function hasUsage(): bool
	{
		return FALSE;
	}

	public function allowance(): Collection
	{
		// TODO: Implement allowance() method.
	}

	public function allowance_string(): string
	{
		// TODO: Implement allowance_string() method.
	}

	public function getCostAttribute(): float
	{
		// TODO: Implement getCostAttribute() method.
	}

	public function getSupplierAttribute()
	{
		// TODO: Implement getSupplierAttribute() method.
	}
}
