<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Email as ProductEmail;

final class Email extends Type implements SupplierItem
{
	protected const category_name = 'Email Hosting';

	protected $table = 'supplier_email';

	/* INTERFACES */

	public function getBillingIntervalAttribute(): int
	{
		return 4;	// Yearly
	}

	public function products()
	{
		return $this->hasMany(ProductEmail::class,'supplier_item_id','id');
	}
}