<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Generic as ProductGeneric;

final class Generic extends Type implements SupplierItem
{
	protected const category_name = 'Generic';

	protected $table = 'supplier_generic';

	/* INTERFACES */

	public function getBillingIntervalAttribute(): int
	{
		return 1;	// Monthly
	}

	public function products()
	{
		return $this->hasMany(ProductGeneric::class,'supplier_item_id','id');
	}
}