<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\Host as ProductHost;

final class Host extends Type implements SupplierItem
{
	protected const category_name = 'Web Hosting';

	protected $table = 'supplier_host';

	/* INTERFACES */

	public function getBillingIntervalAttribute(): int
	{
		return 4;	// Yearly
	}

	public function products()
	{
		return $this->hasMany(ProductHost::class,'supplier_item_id','id');
	}
}