<?php

namespace App\Models\Supplier;

use App\Interfaces\SupplierItem;
use App\Models\Product\SSL as ProductSSL;

final class SSL extends Type implements SupplierItem
{
	protected const category_name = 'SSL Certificate';

	protected $table = 'supplier_ssl';

	/* INTERFACES */

	public function getBillingIntervalAttribute(): int
	{
		return 4;	// Yearly
	}

	public function products()
	{
		return $this->belongsToMany(ProductSSL::class,'supplier_item_id','id');
	}
}