<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Third Party Services
    |--------------------------------------------------------------------------
    |
    | This file is for storing the credentials for third party services such
    | as Mailgun, Postmark, AWS and more. This file provides the de facto
    | location for this type of information, allowing packages to have
    | a conventional file to locate the various service credentials.
    |
    */

    'mailgun' => [
        'domain' => env('MAILGUN_DOMAIN'),
        'secret' => env('MAILGUN_SECRET'),
        'endpoint' => env('MAILGUN_ENDPOINT', 'api.mailgun.net'),
    ],

    'postmark' => [
        'token' => env('POSTMARK_TOKEN'),
    ],

    'ses' => [
        'key' => env('AWS_ACCESS_KEY_ID'),
        'secret' => env('AWS_SECRET_ACCESS_KEY'),
        'region' => env('AWS_DEFAULT_REGION', 'us-east-1'),
    ],

    'ezypay' => [
        'plugin' => 'DD_EZYPAY',
        'base_uri' => 'https://api.ezypay.com/api/v1/',
        'token_user' => env('EZYPAY_TOKEN'),
        'guid' => env('EZYPAY_GUID'),
    ],

    'google' => [
        'client_id' => env('AUTH_GOOGLE_CLIENT_ID'),
        'client_secret' => env('AUTH_GOOGLE_SECRET'),
        'redirect' => '/auth/google/callback',
    ],

	'provider' => [
		'intuit' => [
			'api'=> \Intuit\API::class,
		]
	],

	'supplier' => [
		'crazydomain' => [
			'api'=> \Dreamscape\API::class,
			'registrar' => 'crazydomain',		// Key in the domain_registrars table
		],
	],
];
