@extends('adminlte::layouts.auth')

@section('htmlheader_title')
	Link Account
@endsection

@section('content')
	<div class="login-box">
		<div class="login-logo">
			<a>{!! config('app.name_html_long') !!}</a>
		</div>

		<div class="alert alert-success">
			<strong>NOTE:</strong> Link your account.<br><br>
			<ul>
				<li>An email has been sent to you with a token, please use those details here:</li>
			</ul>
		</div>

		@if (count($errors) > 0)
			<div class="alert alert-danger">
				<strong>Whoops!</strong> {{ trans('adminlte_lang::message.someproblems') }}<br><br>
				<ul>
					@foreach ($errors->all() as $error)
						<li>{{ $error }}</li>
					@endforeach
				</ul>
			</div>
		@endif

		<!-- /.login-logo -->
		<div class="card">
			<div class="card-body login-card-body">
				<p class="login-box-msg">Link your account</p>

				<form method="post" action="{{ url('/auth/'.$provider.'/linkcomplete') }}">
					{{ csrf_field() }}
					<input type="hidden" name="oauthid" value="{{ $oauthid }}">

					<div class="input-group mb-3">
						<input type="email" name="email" class="form-control" placeholder="Email">
						<div class="input-group-append">
							<span class="fa fa-envelope input-group-text"></span>
						</div>
					</div>

					<div class="input-group mb-3">
						<input type="password" name="token" class="form-control" placeholder="Token">
						<div class="input-group-append">
							<span class="fa fa-lock input-group-text"></span>
						</div>
					</div>

					<div class="row">
						<div class="col-8">
							&nbsp;
						</div>
						<!-- /.col -->
						<div class="col-4">
							<button type="submit" name="submit" class="btn btn-primary btn-block btn-flat">Link</button>
						</div>
						<!-- /.col -->
					</div>
				</form>

				<p class="mb-1">
					<a name="reset" href="{{ url('/password/reset') }}">{{ trans('adminlte_lang::message.forgotpassword') }}</a>
				</p>

				@isset($register)
					<p class="mb-0">
						<a href="register.html" class="text-center">Register a new account</a>
					</p>
				@endisset
			</div>
			<!-- /.login-card-body -->
		</div>
	</div>
	<!-- /.login-box -->
@endsection