<!-- $o = Invoice::class -->
@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Invoice #{{ $o->lid }}
@endsection
@section('page_title')
	{{ $o->sid }}
@endsection

@section('contentheader_title')
	Tax Invoice <strong>#{{ $o->lid }}</strong>
@endsection
@section('contentheader_description')
@endsection

@section('main-content')
	<!-- Main content -->
	<div class="invoice p-3 mb-3">
		<!-- title row -->
		<div class="row">
			<div class="col-8">
				<h2>
					<img src="{{ $site->site_logo }}">
				</h2>
			</div>

			<div class="col-4 text-right">
				<h1 class="text-uppercase">Tax Invoice</h1>
			</div>
			<!-- /.col -->
		</div>

		<!-- info row -->
		<div class="row invoice-info">
			<div class="col-4 invoice-col">
				FROM:
				<address>
					<strong>{{ $site->site_name }}</strong><br>
					{!! join('<br>',$site->address) !!}
					<br>
					<strong>Email:</strong> {{ $site->site_email }}<br>
					<strong>Phone:</strong> {{ $site->site_phone }}
				</address>
			</div>

			<div class="col-4 invoice-col">
				TO:
				<address>
					<strong>{{ $o->account->company }}</strong><br>
					{!! join('<br>',$o->account->address) !!}
					<br>
					<strong>Email:</strong> {{ $o->account->user->email }}<br>
					@if ($o->account->phone)
						<strong>Phone:</strong> {{ $o->account->phone }}<br>
					@endif
				</address>
			</div>

			<div class="ml-auto col-3">
				<table class="table table-borderless text-right" style="font-size: 1.1rem;">
					<tr >
						<td class="p-0">Issue Date:</td><td class="p-0"><strong>{{ $o->invoice_date->format('Y-m-d') }}</strong></td>
					</tr>
					<tr >
						<td class="p-0">Account:</td><td class="p-0"><strong>{{ $o->account->sid }}</strong></td>
					</tr>
					<tr >
						<td class="p-0">Invoice:</td><td class="p-0"><strong>{{ $o->lid }}</strong></td>
					</tr>
					<tr>
						<td class="p-0">Payment Due:</td><td class="p-0"><strong>{{ $o->due_at->format('Y-m-d') }}</strong></td>
					</tr>
					<tr>
						<td class="p-0">This Invoice Due:</td><td class="p-0"><strong>${{ number_format($o->total,$o->currency()->rounding) }}</strong></td>
					</tr>
					{{--
					<!-- @todo -->
					<tr>
						<td class="p-0">Total Account Due:</td><td class="p-0"><strong>${{ number_format($o->account->due,$o->currency()->rounding) }}</strong></td>
					</tr>
					--}}
				</table>
			</div>
		</div>
		<!-- /.row -->

		<!-- Table row -->
		<div class="row">
			<div class="col-12 table-responsive">
				<table class="table table-striped table-hover">
					<thead>
						<tr>
							<th>Qty</th>
							<th>Product</th>
							<th colspan="2">Description</th>
							<th class="text-right" colspan="3">Subtotal</th>
						</tr>
					</thead>

					<tbody>
						@foreach ($o->products() as $po)
							<tr id="invoice-services">
								<td>{{ $po->count }}</td>
								<td>#{{ $po->lid }}</td>
								<td colspan="2">{{ $po->name }}</td>
								<td colspan="3" class="text-right">${{ number_format($o->items->filter(function($item) use ($po) {return $item->product_id == $po->id; })->sum('total'),$o->currency()->rounding) }}</td>
							</tr>

							@foreach ($o->product_services($po) as $so)
								<tr id="invoice-service-items" class="invoice-services @if($o->products()->count() > 1) d-print-table-row @endif">
									<td colspan="2">&nbsp;</td>
									<td colspan="2">Service: <strong>{{ $so->sid }}: [{{ $so->name }}]</strong></td>
									<td>&nbsp;</td>
									<td class="text-right">${{ number_format($o->product_service_items($po,$so)->sum('total'),$o->currency()->rounding) }}</td>
									<td>&nbsp;</td>
								</tr>

								@foreach ($o->product_service_items($po,$so) as $io)
									<tr class="invoice-service-items d-print-table-row">
										<td colspan="2">&nbsp;</td>
										<td width="5%">&nbsp;</td>
										<td>{{ $io->item_type_name }}</td>
										<td class="text-right">${{ number_format($io->total,$o->currency()->rounding) }}</td>
										<td colspan="2">&nbsp;</td>
									</tr>
								@endforeach
							@endforeach
						@endforeach
					</tbody>
				</table>
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->

		<!-- padding -->
		<div class="row pb-5"></div>

		<div class="row">
			<!-- accepted payments column -->
			<div class="col-6">
				<p class="lead">Payment Methods:</p>

				<table class="table table-borderless">
					@foreach (\App\Models\Checkout::available() as $cho)
					<tr>
						<td style="width: 50px;"><i class="fa-2x fa-fw {{ $cho->icon }}"></i></td>
						<td>{{ $cho->name }}</td>
						<td>{{ $cho->description }}</td>
						<td class="w-25">@includeIf('payment.widget.plugin.'.strtolower($cho->plugin),['o'=>$cho])</td>
					</tr>
				@endforeach
				</table>

				<p class="text-muted well well-sm no-shadow" style="position: absolute;bottom: 0;left: 0;">
					{!! $o->invoice_text !!}
				</p>
			</div>

			<!-- /.col -->
			<div class="ml-auto col-4">
				<table class="table">
					<tr>
						<th colspan="3" style="width:50%">Subtotal:</th>
						<td colspan="2" class="text-right">${{ number_format($o->sub_total,$o->currency()->rounding) }}</td>
					</tr>
					<tr>
						<th>&nbsp;</th>
						<th>Tax (GST 10%)</th>
						<td colspan="2" class="text-right">${{ number_format($o->total_tax,$o->currency()->rounding) }}</td>
					</tr>
					<tr>
						<th>&nbsp;</th>
						<th>Other Charges:</th>
						<!-- @todo -->
						<td colspan="2" class="text-right">$0.00</td>
					</tr>
					<tr>
						<th colspan="2">Total:</th>
						<td colspan="2" class="text-right">${{ number_format($o->total,$o->currency()->rounding) }}</td>
					</tr>
					@if($o->id)
						<tr>
							<th>&nbsp;</th>
							<th>Payments To Clear:</th>
							<td colspan="2" class="text-right">${{ number_format($o->paid_pending,$o->currency()->rounding) }}</td>
						</tr>
						<tr>
							<th>&nbsp;</th>
							<th>Payments:</th>
							<td>#{{ $o->payments->pluck('id')->join(', #') }}</td>
							<td class="text-right">${{ number_format($o->paid,$o->currency()->rounding) }}</td>
						</tr>
						<tr style="font-size: 145%">
							<th colspan="2">Invoice Due:</th>
							<td colspan="2" class="text-right">${{ number_format($o->due,$o->currency()->rounding) }}</td>
						</tr>
					@endif
				</table>
			</div>
			<!-- /.col -->
		</div>
		<!-- /.row -->

		<!-- this row will not appear when printing -->
		<div class="row d-print-none">
			<div class="col-12">
				<a href="javascript:window.print();" class="btn btn-default"><i class="fas fa-print"></i> Print</a>
				@if($o->id)
					<a href="{{ url('u/invoice/cart',$o->id) }}" class="btn btn-success float-right">
						<i class="fas fa-credit-card"></i> Pay
					</a>
				{{--
					<a href="{{ url(sprintf('u/invoice/%s/pdf',$o->id)) }}" class="btn btn-primary float-right mr-2">
						<i class="fas fa-download"></i> Download PDF
					</a>
				--}}
				@endif
			</div>
		</div>
	</div>
	<!-- /.content -->

	<div class="clearfix"></div>
@endsection