@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Payment
@endsection
@section('page_title')
	Payment
@endsection

@section('contentheader_title')
	Payment
@endsection
@section('contentheader_description')
@endsection

@section('main-content')
	<div class="row">
		<div class="col-12">
			<div class="card card-dark">
				<div class="card-header">
					<h1 class="card-title">Payment Configuration</h1>
				</div>

				<div class="card-body">
					<form class="g-0 needs-validation" method="POST" enctype="multipart/form-data" role="form">
						@csrf

						<div class="row">
							<div class="col-4">
								<div class="form-group has-validation">
									<label for="name">Payment Name</label>
									<select class="form-control form-control-border" id="name" name="checkout_id">
										<option value=""></option>
										<option value="">Add New</option>
										@foreach(\App\Models\Checkout::orderBy('active','DESC')->orderBy('name')->get()->groupBy('active') as $o)
											<optgroup label="{{ $o->first()->active ? 'Active' : 'Not Active' }}">
												@foreach($o as $oo)
													<option value="{{ $oo->id }}">{{ $oo->name }}</option>
												@endforeach
											</optgroup>
										@endforeach
									</select>
									<span class="invalid-feedback" role="alert">
										@error('name')
											{{ $message }}
										@else
											Payment Name is required.
										@enderror
									</span>
									<span class="input-helper">Payment Name</span>
								</div>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
@endsection

@section('page-scripts')
	@css(select2)
	@js(select2,autofocus)

	<script type="text/javascript">
		$(document).ready(function() {
			$('#name').select2()
				.on('change',function(item) {
					window.location.href = '{{ url('a/checkout') }}'+(item.target.value ? '/'+item.target.value : '');
				});
		});
	</script>
@endsection