<!-- $o = Checkout::class -->
<div class="row">
	<div class="col-12">
		<h3>Checkout Details</h3>
		<hr>
		@if(session()->has('success'))
			<span class="ml-3 pt-0 pb-0 pr-1 pl-1 btn btn-outline-success"><small>{{ session()->get('success') }}</small></span>
		@endif

		<form class="g-0 needs-validation" method="POST" enctype="multipart/form-data" role="form">
			@csrf

			<div class="row">
				<div class="col-6">
					<div class="row">
						<!-- Checkout Name -->
						<div class="col-9">
							<div class="form-group has-validation">
								<label for="name">Checkout Name</label>
								<input type="text" class="form-control form-control-border @error('name') is-invalid @enderror" id="name" name="name" placeholder="Supplier Name" value="{{ old('name',$o->name) }}" required>
								<span class="invalid-feedback" role="alert">
									@error('name')
										{{ $message }}
									@else
										Payment Name required.
									@enderror
								</span>
							</div>
						</div>

						<!-- Checkout Active -->
						<div class="col-3">
							<div class="form-group">
								<div class="custom-control custom-switch custom-switch-off-danger custom-switch-on-success">
									<input type="checkbox" class="custom-control-input" id="active" name="active" {{ old('active',$o->active) ? 'checked' : '' }}>
									<label class="custom-control-label" for="active">Active</label>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>

			<div class="row">
				<!-- Description -->
				<div class="col-12">
					<div class="form-group has-validation">
						<label for="description">Description</label>
						<input type="text" class="form-control form-control-border @error('description') is-invalid @enderror" id="address1" name="description" placeholder="description" value="{{ old('description',$o->description) }}">
						<span class="invalid-feedback" role="alert">
							@error('description')
								{{ $message }}
							@enderror
						</span>
					</div>
				</div>
			</div>

			<div class="row">
				<!-- Buttons -->
				<div class="col-12">
					<a href="{{ url('/home') }}" class="btn btn-danger">Cancel</a>
					@can('wholesaler')
						<button type="submit" name="submit" class="btn btn-success mr-0 float-right">@if ($o->exists)Save @else Add @endif</button>
					@endcan
				</div>
			</div>
		</form>
	</div>
</div>