@extends('adminlte::layouts.app')

@section('htmlheader_title')
	{{ $o->sid }}
@endsection
@section('page_title')
	{{ $o->sid }}
@endsection

@section('contentheader_title')
	Service: {{ $o->sid }} <strong>{{ $o->product->name }}</strong>
@endsection
@section('contentheader_description')
	{{ $o->name }}
@endsection

@section('main-content')
	<div class="row">
		<div class="col-12">
			@include('adminlte::widget.status')
		</div>
	</div>

	<div class="row">
		<div class="col-6">
			<div class="card">
				<div class="card-header">
					<div class="card-title">Cancelling Service</div>
				</div>

				<form class="form-horizontal" method="POST">
					{{ csrf_field() }}

					<div class="card-body">
						<div class="form-group row">
							<label for="reference" class="col-sm-2 col-form-label text-right">Cancel Date</label>
							<div class="col-sm-6">
								<div class="input-group">
									<div class="input-group-prepend">
										<span class="input-group-text"><i class="fa fa-fw fa-calendar"></i></span>
									</div>
									<input type="text" class="form-control" id="datestop" name="stop_at" value="{{ ($x=$o->stop_at) ? $x->format('Y-m-d') : '' }}">
								</div>
							</div>
						</div>

						{{--
						@includeIf('service.widget.'.$o->product->category.'.order',['o'=>$o->type])
						--}}

						<div class="form-group row">
							<label for="notes" class="col-2 col-form-label text-right">Notes</label>
							<div class="col-10">
								<textarea class="form-control" rows="4" name="notes">{{ $o->order_info_notes ?? '' }}</textarea>
							</div>
						</div>
					</div>

					<div class="card-footer">
						<button type="reset" class="btn btn-secondary mr-2" onclick="window.history.go(-1); return false;">Cancel</button>
						<button type="submit" class="btn btn-success">Submit</button>
					</div>

				</form>
			</div>
		</div>
	</div>
@endsection

@section('page-scripts')
	@themejs('//cdn.jsdelivr.net/momentjs/latest/moment.min.js','moment-js')
	@themejs('//cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js','daterange-js')
	@themecss('//cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css','daterange-css')

	<script>
		$(document).ready(function() {
			$('#datestop').daterangepicker({
				singleDatePicker: true,
				showDropdowns: true,
				minDate: moment().add(30,'days'),
				locale: {
					format: 'YYYY-MM-DD'
				}
			});
		});
	</script>
@append