@extends('adminlte::layouts.app')

@section('htmlheader_title')
	{{ $o->sid }}
@endsection
@section('page_title')
	{{ $o->sid }}
@endsection

@section('contentheader_title')
	Service: {{ $o->sid }} <strong>{{ $o->product->name }}</strong>
@endsection
@section('contentheader_description')
	{{ $o->name }}
@endsection

@section('main-content')
	<div class="row">
		<!-- Service Details -->
		<div class="col-12 col-md-5">
			@includeIf('service.widget.'.$o->product->category.'.details',['o'=>$o->type])
			@include('service.widget.information')
		</div>

		<div class="col-12 col-md-7">
			<div class="card">
				<div class="card-header bg-dark d-flex p-0">
					<ul class="nav nav-pills w-100 p-2">
						{{--
						<li class="nav-item"><a class="nav-link active" href="#product" data-toggle="tab">Product</a></li>
						<li class="nav-item"><a class="nav-link" href="#traffic" data-toggle="tab">Traffic</a></li>
						--}}
						@if (! $o->suspend_billing AND ! $o->external_billing)
							<li class="nav-item"><a class="nav-link {{ (! session()->has('service_update')) ? 'active' : '' }}" href="#pending_items" data-toggle="tab">Pending Items</a></li>
						@endif
						@if ($o->hasUsage())
							<li class="nav-item"><a class="nav-link {{ (! $o->isBilled() && (! session()->has('service_update'))) ? 'active' : '' }}" href="#traffic" data-toggle="tab">Traffic</a></li>
						@endif

						{{--
						<li class="nav-item"><a class="nav-link" href="#invoices" data-toggle="tab">Invoices</a></li>
						<li class="nav-item"><a class="nav-link" href="#emails" data-toggle="tab">Emails</a></li>
						--}}
						@can('wholesaler')
							<li class="nav-item ml-auto"><a class="nav-link" href="#billing" data-toggle="tab">Billing History</a></li>
							<li class="nav-item"><a class="nav-link" href="#internal" data-toggle="tab">Internal</a></li>
							<li class="nav-item"><a class="nav-link {{ session()->has('service_update') ? 'active' : '' }}" href="#update" data-toggle="tab">Update</a></li>
						@endcan
					</ul>

					@can('progress',$o)
						<ul class="nav nav-pills ml-auto p-2">
							<li class="nav-item dropdown">
								<a class="nav-link dropdown-toggle" data-toggle="dropdown" href="#">ACTION <span class="caret"></span></a>

								<div class="dropdown-menu dropdown-menu-right">
								@foreach($o->actions() as $stage => $title)
									<a class="dropdown-item" tabindex="-1" href="{{ url('u/service',['id'=>$o->id,'action'=>'change','stage'=>$stage]) }}">{{ $title }}</a>
								@endforeach
								{{-- <div class="dropdown-divider"></div> --}}
								</div>
							</li>
						</ul>
					@endcan
				</div><!-- /.card-header -->

				<div class="card-body">
					<div class="tab-content">
						<div class="tab-pane fade" id="product" role="tabpanel">
							Product.
						</div>
						@if (! $o->suspend_billing AND ! $o->external_billing)
							<div class="tab-pane fade {{ (! session()->has('service_update')) ? 'active show' : '' }}" id="pending_items" role="tabpanel">
								@include('service.widget.invoice')
							</div>
						@endif
						@if ($o->hasUsage())
							<div class="tab-pane fade {{ (! $o->isBilled() && (! session()->has('service_update'))) ? 'active show' : '' }}" id="traffic" role="tabpanel">
								@if ($o->type->usage(30)->count())
									@include('service.widget.'.$o->product->category.'.usagegraph',['o'=>$o->type])
								@endif
							</div>
						@endif
						<div class="tab-pane fade" id="invoices" role="tabpanel">
							Invoices.
						</div>
						<div class="tab-pane fade" id="emails" role="tabpanel">
							Email.
						</div>
						@can('wholesaler')
							<div class="tab-pane fade" id="internal" role="tabpanel">
								@include('service.widget.internal')
							</div>

							<div class="tab-pane fade {{ session()->pull('service_update') ? 'active show' : '' }}" id="update" role="tabpanel">
								@include('service.widget.update')
							</div>
						@endcan
					</div>
				</div>
				<!-- /.card -->
			</div>
		</div>
	</div>
@endsection