@extends('adminlte::layouts.app')

@section('htmlheader_title')
	{{ $o->sid }}
@endsection
@section('page_title')
	{{ $o->sid }}
@endsection

@section('contentheader_title')
	Service: {{ $o->sid }} <strong>{{ $o->product->name }}</strong>
@endsection
@section('contentheader_description')
	{{ $o->name }}
@endsection

@section('main-content')
	<div class="row">
		<div class="col-6">
			<div class="card">
				<div class="card-header">
					<div class="card-title">Update Order Status: {{ $o->order_status }}</div>
				</div>

				<form class="form-horizontal" method="post" action="{{ url('r/service/update',$o->id) }}">
					{{ csrf_field() }}

					<div class="card-body">
						<div class="form-group row">
							<label for="reference" class="col-sm-3 col-form-label text-right">Order Ref</label>
							<div class="col-sm-6">
								<div class="input-group">
									<div class="input-group-prepend">
										<span class="input-group-text"><i class="fa fa-fw fa-hashtag"></i></span>
									</div>
									<input type="text" class="form-control" name="reference" value="{{ $o->order_info_reference ?? '' }}">
								</div>
							</div>
						</div>

						@includeIf('service.widget.'.$o->product->category.'.order',['o'=>$o->type])

						<div class="form-group row">
							<label for="notes" class="col-sm-2 col-form-label text-right">Notes</label>
							<div class="col-sm-10">
								<textarea class="textarea" name="notes">{{ $o->order_info_notes ?? '' }}</textarea>
							</div>
						</div>
					</div>

					<div class="card-footer">
						<button type="reset" class="btn btn-secondary mr-2" onclick="window.history.go(-1); return false;">Cancel</button>
						<button type="submit" class="btn btn-success">Submit</button>
					</div>

				</form>
			</div>
		</div>
	</div>
@endsection

@section('page-scripts')
	@css(summernote)
	@js(summernote)

	<script>
		$(document).ready(function() {
			$('.textarea').summernote({
				minHeight: 350,
				toolbar: [
					['style', ['style']],
					['font', ['bold', 'underline', 'clear']],
					['color', ['color']],
					['para', ['ul', 'ol', 'paragraph']],
					['table', ['table']],
					['view', ['codeview', 'help']],
				],
			});
		});
	</script>
@append