<!-- $o = App\Models\Service\Broadband::class -->
<div class="card">
	@if($o->service->isPending())
		<div class="ribbon-wrapper ribbon-lg">
			<div class="ribbon bg-warning">
				Pending
			</div>
		</div>
	@endif

	<div class="card-header bg-gray-dark">
		<h3 class="card-title">Broadband Details</h3>
	</div>

	<div class="card-body bg-gray-dark">
		<table class="table table-sm">
			<tr>
				<th>Address</th>
				<td>{{ $o->service_address }}</td>
			</tr>
			<tr>
				<th>Service Number</th>
				<td>{{ $o->service_number }}</td>
			</tr>
			<tr>
				<th>Service Username</th>
				<td>{{ $o->service_username }}</td>
			</tr>
			<tr>
				<th>Service Password</th>
				<td>{{ $o->service_password }}</td>
			</tr>
			@if($o->connect_at)
				<tr>
					<th>Connected</th>
					<td>{{ $o->connect_at->format('Y-m-d') }}</td>
				</tr>
			@endif
			@if($x=$o->technology)
				<tr>
					<th>Technology</th>
					<td>{{ $x }}</td>
				</tr>
			@endif
			<tr>
				<th>Speed</th>
				<td>{{ $o->supplied()->speed }} Mbps</td>
			</tr>
			<!-- @todo -->
			<tr>
				<th>Traffic</th>
				<td>{{ $o->service->offering->allowance_string() }} GB @if(FALSE)(YY GB used month)@endif</td>
			</tr>
			<tr>
				<th>IP4 Address</th>
				<td>{{ $o->ipaddress ?: 'Dynamic' }}</td>
			</tr>
			<tr>
				<th>IP6 Address</th>
				<td>{{ $o->ip6address ?: '-' }}</td>
			</tr>
			@if ($o->inContract())
				<tr>
					<th>Contract</th>
					<td>{{ $o->contract_term }} months</td>
				</tr>
				<tr>
					<th>Contract End</th>
					<td>{{ $o->service_expire->format('Y-m-d') }} <small>({{ $o->service_expire->diffForHumans() }})</small></td>
				</tr>
			@endif
			<tr>
				<th>Cancel Notice</th>
				<td>1 month @if($o->inContract())<small>(after {{ $o->service_expire->subMonth()->format('Y-m-d') }})</small>@endif</td>
			</tr>
		</table>
	</div>
</div>