<div class="row">
	<div class="col-12 col-sm-9 col-md-12 col-xl-7">
		<div class="form-group">
			<label for="domain_name">Domain Name</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-globe-asia"></i></span>
				</div>
				<input type="text" style="width:55%;" class="form-control text-right @error('domain_name') is-invalid @enderror" id="domain_name" name="domain[domain_name]" placeholder="Domain Name..." value="{{ old('domain.domain_name',$o->domain_name) }}" required>

				<div class="input-group-append">
					<span class="input-group-text">.</span>
				</div>

				<select style="width:25%;" class="form-control @error('tld_id') is-invalid @enderror" id="tld_id" name="domain[tld_id]">
					@foreach(\App\Models\TLD::orderBy('name')->get() as $oo)
						<option value="{{ $oo->id }}" @if($oo->id == old('domain.tld_id',$o->tld_id))selected @endif>{{ $oo->name }}</option>
					@endforeach
				</select>

				<span class="invalid-feedback" role="alert">
					@error('domain_name')
						{{ $message }}
					@enderror
					@error('tld_id')
						{{ $message }}
					@enderror
				</span>
			</div>
		</div>
	</div>

	<div class="col-12 col-sm-9 col-md-6 col-xl-5">
		@include('adminlte::widget.form_date',[
			'label'=>'Expiry',
			'id'=>'expire_at',
			'old'=>'domain.expire_at',
			'name'=>'domain[expire_at]',
			'value'=>$o->expire_at ? $o->expire_at->format('Y-m-d') : ($o->connect_at ? $o->connect_at->addMonths($o->contract_term)->format('Y-m-d') : ''),
		])
	</div>
</div>

<hr>
<p class="h6">Registrar Details</p>

<div class="row">
	<div class="col-12 col-sm-9 col-md-6 col-xl-5">
		@include('adminlte::widget.form_select',[
			'label'=>'Registrar',
			'icon'=>'fas fa-handshake',
			'id'=>'domain_registrar_id',
			'old'=>'domain.domain_registrar_id',
			'name'=>'domain[domain_registrar_id]',
			'options'=>\App\Models\DomainRegistrar::active()->orderBy('name')->get()->transform(function($item) { return ['id'=>$item->id,'value'=>$item->name]; }),
			'value'=>$o->domain_registrar_id ?? '',
		])
	</div>

	<div class="col-12 col-sm-9 col-md-12 col-xl-6">
		@include('adminlte::widget.form_text',[
			'label'=>'Registrar Account',
			'icon'=>'fas fa-user-circle',
			'id'=>'registrar_account',
			'old'=>'domain.registrar_account',
			'name'=>'domain[registrar_account]',
			'value'=>$o->registrar_account ?? '',
		])
	</div>
</div>

<div class="row">
	<div class="col-12 col-sm-9 col-md-6 col-xl-5">
		@include('adminlte::widget.form_select',[
			'label'=>'DNS Location',
			'icon'=>'fas fa-project-diagram',
			'id'=>'registrar_ns',
			'old'=>'domain.registrar_ns',
			'name'=>'domain[registrar_ns]',
			'options'=>\App\Models\Service\Domain::select('registrar_ns')->distinct()->orderBy('registrar_ns')->get()->transform(function($item) { return ['id'=>$item->registrar_ns,'value'=>$item->registrar_ns]; }),
			'value'=>$o->registrar_ns ?? '',
			'addvalues'=>TRUE,
		])
	</div>

	<div class="col-12 col-sm-9 col-md-12 col-xl-6">
		@include('adminlte::widget.form_text',[
			'label'=>'Registrar Username',
			'icon'=>'fas fa-user',
			'id'=>'registrar_username',
			'old'=>'domain.registrar_username',
			'name'=>'domain[registrar_username]',
			'value'=>$o->registrar_username ?? '',
		])
	</div>
</div>

@section('page-scripts')
	@css(select2)
	@js(select2,autofocus)

	<script type="text/javascript">
		$(document).ready(function() {
			$('#tld_id').select2({
				dropdownAutoWidth: true,
				width: 'style',
			});
		});
	</script>
@append