<!-- o = App\Models\Service\Host::class -->
<div class="row">
	<div class="col-12 col-sm-9 col-md-12 col-xl-7">
		<div class="form-group">
			<label for="domain_name">Domain Name</label>
			<div class="input-group">
				<div class="input-group-prepend">
					<span class="input-group-text"><i class="fas fa-fw fa-globe-asia"></i></span>
				</div>
				<input type="text" style="width:55%;" class="form-control text-right @error('domain_name') is-invalid @enderror" id="domain_name" name="host[domain_name]" placeholder="Domain Name..." value="{{ old('host.domain_name',$o->domain_name) }}" required>

				<div class="input-group-append">
					<span class="input-group-text">.</span>
				</div>

				<select style="width:25%;" class="form-control @error('tld_id') is-invalid @enderror" id="tld_id" name="host[tld_id]">
					@foreach(\App\Models\TLD::orderBy('name')->get() as $oo)
						<option value="{{ $oo->id }}" @if($oo->id == old('host.tld_id',$o->tld_id))selected @endif>{{ $oo->name }}</option>
					@endforeach
				</select>

				<span class="invalid-feedback" role="alert">
					@error('domain_name')
						{{ $message }}
					@enderror
					@error('tld_id')
						{{ $message }}
					@enderror
				</span>
			</div>
		</div>
	</div>

	<div class="col-12 col-sm-9 col-md-6 col-xl-5">
		@include('adminlte::widget.form_date',[
			'label'=>'Expiry',
			'id'=>'expire_at',
			'old'=>'host.expire_at',
			'name'=>'host[expire_at]',
			'value'=>$o->expire_at ? $o->expire_at->format('Y-m-d') : ($o->connect_at ? $o->connect_at->addMonths($o->contract_term)->format('Y-m-d') : ''),
		])
	</div>
</div>

<hr>
<p class="h6">Hosting Details</p>

<div class="row">
	<div class="col-12 col-sm-9 col-md-6 col-xl-5">
		@include('adminlte::widget.form_select',[
			'label'=>'Hosting Server',
			'icon'=>'fas fa-handshake',
			'id'=>'supplier_host_server_id',
			'old'=>'host.supplier_host_server_id',
			'name'=>'host[supplier_host_server_id]',
			'options'=>\App\Models\SupplierHostServer::active()->orderBy('name')->get()->transform(function($item) { return ['id'=>$item->id,'value'=>$item->name]; }),
			'value'=>$o->supplier_host_server_id ?? '',
		])
	</div>
</div>

<div class="row">
	<div class="col-12 col-sm-9 col-md-12 col-xl-7">
		@include('adminlte::widget.form_text',[
			'label'=>'Admin User',
			'icon'=>'fas fa-user',
			'id'=>'host_username',
			'old'=>'host.host_username',
			'name'=>'host[host_username]',
			'value'=>$o->host_username ?? '',
		])
	</div>

	<div class="col-12 col-sm-9 col-md-5 col-xl-5">
		@include('adminlte::widget.form_text',[
			'label'=>'Admin Password',
			'icon'=>'fas fa-lock',
			'id'=>'host_password',
			'old'=>'host.host_password',
			'name'=>'host[host_password]',
			'value'=>$o->host_password ?? '',
		])
	</div>
</div>

@section('page-scripts')
	@css(select2)
	@js(select2,autofocus)

	<script type="text/javascript">
		$(document).ready(function() {
			$('#tld_id').select2({
				dropdownAutoWidth: true,
				width: 'style',
			});
		});
	</script>
@append