<!-- $o = App\Models\Service -->
<div class="card">
	@if($o->external_billing)
		<div class="ribbon-wrapper ribbon-lg">
			<div class="ribbon bg-danger">
				EXTERNAL BILLING
			</div>
		</div>
	@endif

	<div class="card-header bg-light">
		<h3 class="card-title">Service Information</h3>
	</div>

	<div class="card-body bg-light">
		<table class="table table-sm">
			<tr>
				<th>Account</th>
				<td><a href="{{url('u/home',$o->account->user_id)}}">{{ $o->account->sid }}</a></td>
			</tr>
			<tr>
				<th>Status</th>
				<td>{!! $o->status_html !!}</td>
			</tr>
			@if ($o->order_status == 'ORDER-SENT')
				<tr>
					<th>Order Reference</th>
					<td>{{ $o->order_info_reference ?? '' }}</td>
				</tr>
			@endif
			@if ($o->start_at AND $o->isPending())
				<tr>
					<th>Pending Connection</th>
					<td>{{ $o->start_at->format('Y-m-d') }}</td>
				</tr>
			@endif
			@if ($o->stop_at)
				<tr>
					<th>Cancellation Date</th>
					<td>{{ $o->stop_at->format('Y-m-d') }}</td>
				</tr>
			@endif
			@if (($o->active OR $o->isPending()) AND ! $o->external_billing)
				<tr>
					<th>Billed</th>
					<td>{{ $o->billing_period }}</td>
				</tr>
				@if($o->active AND $o->invoice_to)
					<tr>
						<th>Invoiced To</th>
						<td>{{ $o->invoice_to->format('Y-m-d') }}</td>
					</tr>
					@if($o->paid_to)
						<tr>
							<th>Paid Until</th>
							<td>{{ $o->paid_to->format('Y-m-d') }}</td>
						</tr>
					@endif
				@endif
				<tr>
					<th>Next Invoice</th>
					<td>@if ($o->suspend_billing)<strike>@endif{{ $o->invoice_next->format('Y-m-d') }}@if ($o->suspend_billing)</strike> <strong>SUSPENDED</strong>@endif</td>
				</tr>
				<tr>
					<th>Next Estimated Invoice</th>
					<td>${{ number_format($o->next_invoice_items(TRUE)->sum('total'),2) }} <sup>*</sup></td>
				</tr>
				<tr>
					<th>Payment Method</th>
					<td>@if ($o->billing)Direct Debit @else Invoice @endif</td>
				</tr>

			@elseif($o->wasCancelled())
				<tr>
					<th>Cancelled</th>
					<!-- @todo This should show the cancelled date -->
					<td>{!! $o->stop_at ? $o->stop_at->format('Y-m-d') : ($o->paid_to ? $o->paid_to->format('Y-m-d') : '').'<sup>*</sup>' !!}</td>
				</tr>
			@endif
		</table>
	</div>

	@if($o->active OR $o->isPending())
		<div class="card-footer sm">
			<strong><sup>*</sup>NOTE:</strong> Estimated Invoice does not include any setup, connection nor all current billing cycle usage charges.
		</div>
	@endif
</div>
