<!-- $o = Service::class -->
<table class="table table-sm">
	<thead>
	<tr>
		<th>&nbsp;</th>
		@if (($s=$o->supplied) && $s->exists)
			<th>{{ $s->supplier_detail->supplier->name }}</th>
		@endif
		<th>Us</th>
		@if ($s->exists)
			<th>&nbsp;</th>
		@endif
	</tr>
	</thead>

	<tbody>
    <tr>
        <th>Product</th>
		@if ($s->exists)
			<td>#{{ $s->id }}: {{ $s->name }}</td>
		@endif
		<td>#{{ $o->product->id }}: {{ $o->product->name }}</td>
		@if ($s->exists)
			<td>{{ $o->product->category_name }}</td>
		@endif
    </tr>
	<tr>
		<th>Setup</th>
		@if ($s->exists)
		<td>${{ number_format($a=\App\Models\Tax::tax_calc($s->setup_cost,$o->account->taxes),2) }}</td>
		<td>${{ number_format($b=\App\Models\Tax::tax_calc($o->product->setup_charge,$o->account->taxes),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@else
			<td>-</td>
		@endif
	</tr>
	<tr>
		<th>Billed</th>
		@if ($s->exists)
			<td>{{ $s->billing_interval_string }}</td>
		@endif
		<td>{{ $o->billing_interval_string }}</td>
		@if ($s->exists)
			<td>&nbsp;</td>
		@endif
	</tr>
	<tr>
		<th>Billing Price</th>
		@if ($s->exists)
			<td>${{ number_format($a=\App\Models\Tax::tax_calc($s->base_cost*\App\Models\Invoice::billing_change($s->billing_interval,$o->product->billing_interval),$o->account->taxes),2) }}</td>
		@endif
		<td>${{ number_format($b=$o->billing_charge,2) }}</td>
		@if ($s->exists)
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>
	<tr>
		<th>Monthly Price</th>
		@if ($s->exists)
			<td>${{ number_format($a=\App\Models\Tax::tax_calc($s->base_cost*\App\Models\Invoice::billing_change($s->billing_interval,1),$o->account->taxes),2) }}</td>
		@endif
		<td>${{ number_format($b=$o->billing_monthly_price,2) }}</td>
		@if ($s->exists)
			<td>{!! markup($a,$b) !!}</td>
		@endif
	</tr>
	<tr>
		<th>Contract</th>
		@if ($s->exists)
			<td>{{ $s->contract_term }} months</td>
		@endif
		<td>{{ $o->contract_term }} months</td>
		@if ($s->exists)
			<td>&nbsp;</td>
		@endif
	</tr>
	<tr>
		<th>Min Price</th>
		@if ($s->exists)
		<td>${{ number_format($a=\App\Models\Tax::tax_calc($s->min_cost,$o->account->taxes),2) }}</td>
		<td>${{ number_format($b=\App\Models\Tax::tax_calc($o->product->getMinChargeAttribute($o->billing_interval),$o->account->taxes),2) }}</td>
		<td>{!! markup($a,$b) !!}</td>
		@else
			<td>-</td>
		@endif
	</tr>
	</tbody>
</table>

@php
function markup($a,$b) {
	return ($a > $b)
		? sprintf('<span class="badge bg-danger>">(%3.1f%%)</span>',$a ? ($b-$a)/($b ?: 1)*100 : 100)
		: sprintf('<span class="badge">%3.1f%%</span>',$a ? ($b-$a)/($b ?: 1)*100 : ($b ? 100: 0));
}
@endphp