@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Supplier
@endsection
@section('page_title')
	Supplier
@endsection

@section('contentheader_title')
	Supplier
@endsection
@section('contentheader_description')
@endsection

@section('main-content')
	<div class="row">
		<div class="col-12">
			<div class="card card-dark">
				<div class="card-header">
					<h1 class="card-title">Supplier Configuration</h1>
				</div>

				<div class="card-body">
					<form class="g-0 needs-validation" method="POST" enctype="multipart/form-data" role="form">
						@csrf

						<div class="row">
							<div class="col-12 col-sm-9 col-md-6 col-xl-5">
								@include('adminlte::widget.form_select',[
									'label'=>'Supplier',
									'icon'=>'fas fa-handshake',
									'id'=>'supplier_id',
									'old'=>'supplier_id',
									'name'=>'supplier_id',
									'groupby'=>'active',
									'options'=>\App\Models\Supplier::orderBy('active','DESC')->orderBy('name')->get()->transform(function($item) { return ['id'=>$item->id,'value'=>$item->name,'active'=>$item->active]; }),
									'value'=>'',
								])
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
@endsection

@section('page-scripts')
	@css(select2)
	@js(select2,autofocus)

	<script type="text/javascript">
		$(document).ready(function() {
			$('#supplier_id')
				.on('change',function(item) {
					window.location.href = '{{ url('a/supplier/details') }}'+(item.target.value ? '/'+item.target.value : '');
				});
		});
	</script>
@append