@extends('metronic::layouts.app')

@section('htmlheader_title')
	Welcome
@endsection

@section('main-content')
	{{-- SLIDER --}}
	@includeIf('welcome.widgets.slider')
	{{-- END SLIDER --}}

	<div class="main">
		<div class="container">
			{{-- SERVICE BOX --}}
			@includeIf('welcome.widgets.servicebox')
			{{-- END SERVICE BOX --}}

			{{-- TESTIMONIALS --}}
			@includeIf('welcome.widgets.blockquote')
			{{-- END TESTIMONIALS --}}

			{{-- ACTIVITY --}}
			@includeIf('welcome.widgets.activity')
			{{-- END ACTIVITY --}}

			@if (isset($show_page_tabs) OR isset($show_testimonials))
			<!-- BEGIN TABS AND TESTIMONIALS -->
			<div class="row mix-block margin-bottom-40">
				{{-- TABS --}}
				@includeIf('welcome.widgets.tabs')
				{{-- END TABS --}}

				{{-- TESTIMONIALS --}}
				@includeIf('welcome.widgets.testimonials')
				{{-- END TESTIMONIALS --}}
			</div>
			<!-- END TABS AND TESTIMONIALS -->
			@endif

			{{-- STEPS --}}
			@includeIf('welcome.widgets.steps')
			{{-- END STEPS --}}

			{{-- CLIENTS --}}
			@isset($show_clients))
				@includeIf('welcome.widgets.clients')
			@endisset
			{{-- END CLIENTS --}}
		</div>
	</div>

	@themejs('js/layout.js','layout','jquery')
@endsection

@section('page-scripts')

	<!-- PAGE LEVEL JAVASCRIPT -->
	<script type="text/javascript">
        $(document).ready(function() {
			Layout.init();
			Layout.initFixHeaderWithPreHeader();
			Layout.initNavScrolling();
        });
	</script>

	<!-- END PAGE LEVEL JAVASCRIPTS -->
@append